LFR-FSW - Bug #617

Invalider les valeurs de SWF P < 22s
11/02/2016 02:27 PM - bruno katra

Status: Closed Start date: 11/02/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Suite adaptation de I'algo de synchro des SWF a partir de FSW 3.0.0.15, les valeurs inférieures a 22s doivent étre empéchées sinon
le comportement de la datation est instable (doublons de temps).
Il faudrait I'envoi d'une TM_EXE_TC_INCONSISTENT

History

#1 - 11/02/2016 03:12 PM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

correction effectuée pour 3.0.0.21

#2 - 12/02/2016 08:36 AM - Veronique bouzid
- File just_normal_mode_swf_inconsistent.py added

- Status changed from Resolved to Closed

Bug corrigé en 3.0.0.22

L'envoi pour SY_LFR_N_SWP_P d'une valeur < a 22s genere une TM_LFR_EXE_INCONSISTENT
Utilisation du script /home/validation/SCRIPT/just_normal_swf_inconsistent.py

--> envoi de 16s

08:16:28.448348, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,

DATA _FIELD HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=5385, (PACKET_SEQUENCE_CONTROL=0xd509), PACKET_LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 =13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 16(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0xc7c3

08:16:28.463152, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: ACKNOWLEDGE = 1,
(PACKET _ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=1,
(PACKET_SEQUENCE_CONTROL=0xc001), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x80000006516, PA_RPW_TELECOMMAND_PKT [D=0x1ccc, PA_ RPW_PKT_SEQ_CONTROL=0xd509,
PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5, PA_RPW_TC_SERVICE=181, PA_RPW_TC_SUBTYPE=13,
PA_RPW_BYTE_POSITION=12, PA_RPW_RCV_VALUE=16

--> envoi de 21s

08:16:28.848621, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=8553, (PACKET_SEQUENCE_CONTROL=0xe169), PACKET_LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 =13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P = 21(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0xde5

08:16:28.861495, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET _ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=3,
(PACKET_SEQUENCE_CONTROL=0xc003), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x80000006b7eb, PA_RPW_TELECOMMAND_PKT ID=0x1ccc, PA_ RPW_PKT_SEQ CONTROL=0xe169,
PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5, PA_RPW_TC_SERVICE=181, PA_RPW_TC_SUBTYPE=13,
PA_RPW_BYTE_POSITION=12, PA_RPW_RCV_VALUE=21

--> envoi de 22s

08:16:29.248875, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS _ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=9863, (PACKET_SEQUENCE_CONTROL=0xe687), PACKET_LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 =13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L = 2048, SY_LFR_N_SWP_P =22(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0x74e0

08:16:29.255255, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=5,
(PACKET_SEQUENCE_CONTROL=0xc005), PACKET_LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS = 7, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x800000071cb4, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xe687

et la verification avec la réponse a TC_LFR_DUMP_PAR

08:16:29.463624, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: DUMP = 6, (PACKET_ID=0xcc6),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=3, (PACKET_SEQUENCE_CONTROL=0xc003),
PACKET_LENGTH=77, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE:
PARAMETER_DUMP = 32, DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000000751f7, PA_LFR_HK_SID: LFR_DUMP_SID = 10,
SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, SY_LFR_N_SWF_1=2048,
SY_LFR_N_SWF_P=22(s), SY_LFR_N_ASM_P=3600(s), SY_LFR_N_BP_P0=4(s), SY_LFR_N_BP_P1=20(s), SPARE=0x0,
SY_LFR_N_CWF_LONG_F3=0, SPARE=0x0, SY_LFR_B_BP_P0=1(s), SY_LFR_B_BP_P1=5(s), SY_LFR_S1_BP_P0=0.25(s),
SY_LFR_S1_BP_P1=1(s), SY_LFR_S2_BP_P0=1(s), SY_LFR_S2_BP_P1=5(s), SY_LFR_FBINS_F0_WORD1=0xffffffff,
SY_LFR_FBINS_F0_WORD2=0xffffffff, SY_LFR_FBINS_F0_WORD3=0xffffffff, SY_LFR_FBINS_F0_WORD4=0xffffffff,
SY_LFR_FBINS_F1_WORD1=0xffffffff, SY_LFR_FBINS_F1_WORD2=0xffffffff, SY_LFR_FBINS_F1_WORD3=0xffffffff,
SY_LFR_FBINS_F1_WORD4=0xffffffff, SY_LFR_FBINS_F2_WORD1=0xffffffff, SY_LFR_FBINS_F2_WORD2=0xffffffff,
SY_LFR_FBINS_F2_WORD3=0xffffffff, SY_LFR_FBINS_F2_WORD4=0xffffffff, SPARE8_2=0x0

Les fichiers (2016_02_12-08_18_23*) se trouvent dans /home/validation/data/R3/3.0.0.20/TESTS-UNITAIRES/swf_inconsistent

Contexte du test

FSW 3.0.0.22

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Files

just_normal_mode_swf_inconsistent.py 4.95 KB 12/02/2016 Veronigue bouzid
